Unlink beneficiary from company

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to unlink a beneficiary applicant from the control and ownership structure of the company, provided the company applicant relates to the KYB flow.

Request example

curl -X DELETE \
     'https://api.sumsub.com/resources/applicants/673f390478c5cc60a492aa39/fixedInfo/companyInfo/beneficiaries/27b45216-eb19-43db-a4ad-c5cd2d184616' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'

Response explained

If the request is successfully sent and processed, you will get the following response indicating the beneficiary has been unlinked from the control and ownership structure of the company:

{
  "ok": 1
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "description": "Company beneficiary not found 673f44507b66912172318b43",
  "code": 404,
  "correlationId": "4de03a9f0a593b9d5a6eeb78d4d4ba88"
}

Path Params
string
required

Unique identifier of the company applicant in the Sumsub system from which the nested applicant should be unlinked.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

string
required

Beneficiary identifier (id) that is autogenerated for all KYB 2.0 beneficiaries when they are added to the company structure.

⚠️ Beneficiary identifier is not the equivalent of applicantId. You can apply the Get applicant data method to the company applicant to obtain all the beneficiaries and their identifiers.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!